Page MenuHomePhabricator

Implement border geometry creation
Closed, ResolvedPublic

Description

What follows is a dump from my notebook

Existing tools

  1. Mapbook osm-boundaries in osmium js Unmaintained, not touched in years, depends on old osmium and would need work to port it to the new osmium. Those who were involved in writing it recommend a rewrite.
  2. Community run admin relation validation tools These are designed for validation, not turning sometimes messy admin boundaries to lines

Scope

Read in the planet and output file with linestrings for each admin line

Maybe: Build polygons
Maybe: Build labeling points
Maybe: Merge linestrings

Per linestring information needed

  • Lowest admin level the line participates in
  • If it is disputed or not or part of a disputed admin area
  • If it is a maratime border
  • If it is a closure line
  • Name on the left and right foreach admin level
  • OSM id of parent, if not merging

Next steps

  1. Create sample OSM file with possible admin situations. Create with JOSM, then osmium renumber

Event Timeline

Pnorman created this task.Nov 8 2016, 10:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 8 2016, 10:11 PM
Yurik added a comment.Nov 8 2016, 10:15 PM

Paul, I noticed that some mappers introduce a "land-style" border on water in some locations where exact border would not be clear otherwise. Those seem to be done manually on top of the regular map data. Should we do something of the sorts, and if yes, how?

Paul, I noticed that some mappers introduce a "land-style" border on water in some locations where exact border would not be clear otherwise. Those seem to be done manually on top of the regular map data. Should we do something of the sorts, and if yes, how?

I'm not sure what you mean. Got an example?

Yurik triaged this task as High priority.Nov 9 2016, 7:31 PM
Yurik moved this task from Backlog to In progress on the Maps-Sprint board.
Yurik removed a project: Maps.Dec 15 2016, 4:19 AM
Deskana added a subscriber: Deskana.Mar 3 2017, 6:49 PM

@Pnorman says that the work for this task should actually be done, but has not yet been deployed.

debt closed this task as Resolved.May 30 2017, 7:41 PM
debt moved this task from In progress to Done on the Maps-Sprint board.
debt added a subscriber: debt.

The work in this ticket has been done, closing.